Bug 78189 - Fullwidth ¥ symbol used randomly in JP formats
Summary: Fullwidth ¥ symbol used randomly in JP formats
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.2.1 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: CJK-Japanese
  Show dependency treegraph
 
Reported: 2014-05-02 13:46 UTC by Martijn
Modified: 2022-01-25 03:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Two different ¥ symbols - same formatting rule, same font, same everything. (782 bytes, image/png)
2014-05-02 13:46 UTC, Martijn
Details
Sample to reproduce (49.34 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-05-02 16:12 UTC, Martijn
Details
screenshot (24.92 KB, image/png)
2014-05-02 16:35 UTC, Julien Nabet
Details
Screenshot. (99.81 KB, image/png)
2014-05-03 02:05 UTC, m.a.riosv
Details
List of fonts (43.85 KB, text/plain)
2014-05-05 08:41 UTC, Martijn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martijn 2014-05-02 13:46:18 UTC
Created attachment 98338 [details]
Two different ¥ symbols - same formatting rule, same font, same everything.

Problem description: 
Calc uses different symbols for ¥ at seemingly random. Sometimes it uses a proper one, sometimes an ugly one. See screenshot.

Steps to reproduce:
I have a cell that has currency formatting for JPY enabled. All that seems necessary is to enter a number and then go do stuff. At some point, the ¥ signs will become different. Perhaps when closing/reopening Calc, I'm not sure yet, but the screenshot doesn't lie.

When I change the number in the cell that has the smaller ugly ¥ symbol, the ¥ symbol becomes normal again.

Current behavior:
Two different ¥ symbols for one and the same formatting rule.

Expected behavior:
One ¥ symbol in every cell for same formatting rule.

Operating System: Windows 7
Version: 4.2.2.1 release
Comment 1 Jacques Guilleron 2014-05-02 15:15:16 UTC
Hello Martijn,

When I set my locate to Japanese and default currency to JPY with LO 4.2.4.1 & Windows 7 Home Premium, I get comma for Thousands separator and dot for Decimal separator. This is not what I see on your screenshot. Do you use a particular format?
Can you please provide a short sample to test with your usual settings?

Thank you,

Jacques
Comment 2 Julien Nabet 2014-05-02 16:09:33 UTC
Martinj: would it be possible you attach the file so we can try to reproduce? (keep in mind that attachments are public so think about removing any confidential/private parts).
Comment 3 Martijn 2014-05-02 16:12:30 UTC
Created attachment 98342 [details]
Sample to reproduce

This file reproduces the problem for me. Just change one of the numbers and the ¥ sign changes (into a more proper looking one).
Comment 4 Martijn 2014-05-02 16:13:31 UTC
There ya go :)

My system locale is Dutch. Probably should've mentioned that before, sorry.
Comment 5 Julien Nabet 2014-05-02 16:35:18 UTC
Created attachment 98345 [details]
screenshot

On pc Debian x86-64 with master sources and 4.2 sources, both updated today, I don't reproduce this.
For seeing Yen sign, I installed fonts-hanazono
(Description-en: Japanese TrueType mincho font by KAGE system and FontForge
 This font is Japanese KANJI free font. The KAGE system and FontForge
 are used for the generation of this font.
 Collected glyph uses all the data registered in glyphwiki.
)
What font do you use to be able to display japanese language?
Comment 6 Martijn 2014-05-02 16:43:09 UTC
First of all, I'm using Windows 7. Secondly, no specials fonts were installed for Japanese. In fact, the spreadsheet happens to be written in the default font that Calc proposes after a clean install on a virgin machine, which is Arial, which is available on absolutely every windows box everywhere, ever :)

So it's Arial. Arial has a ¥ sign.

I can't check if Calc is *actually* using a different font (who knows why it would do such a thing...) because when editing one of the cells, all I get is the number without the sign.

So yeah, it could be a different font. But I have no way of knowing what that font is. But in any case it should be Arial.
Comment 7 m.a.riosv 2014-05-03 02:05:06 UTC
Created attachment 98357 [details]
Screenshot.

Works for me with:
Win7x64Ultimate
Version: 4.2.2.1 Build ID: 3be8cda0bddd8e430d8cda1ebfd581265cca5a0f

Have you tried resetting the user profile?
https://wiki.documentfoundation.org/UserProfile#Windows
Comment 8 Urmas 2014-05-03 17:42:40 UTC
Confirmed in master /Windows/.
Comment 9 Martijn 2014-05-05 08:39:45 UTC
@m.a.riosv I've reset my profile, but it doesn't help. I'm still getting the weird (non-cleartyped, different font? different character?) ¥ signs, only to have them change back when I change the number.

Putting my profile back the way it was for now.

Exact OS is Windows 7 x64 Pro. Don't think it matter what edition it is, tho.
My OS language is English, locale is Dutch.

I also have Photoshop CC and Illustrator CC installed, perhaps they have put new fonts on my system that LO automagically picks up on?...

Just for kicks, I'll attach a list of fonts. Maybe someone spots something.
Comment 10 Martijn 2014-05-05 08:41:02 UTC
Created attachment 98457 [details]
List of fonts

Attachment: list of fonts installed on my machine. This not just the ones in addition to the defult ones, this is ALL fonts, jsyk.
Comment 11 Jacques Guilleron 2014-05-05 09:23:06 UTC
Hi Martijn,

When you select a cell you are going to change, formating bar display Arial. Once you entered your new number, instead of Arial, there will be nothing if the font has changed for ¥ symbol.

Is it the case for you?

Regards,

Jacques
Comment 12 Martijn 2014-05-05 14:38:25 UTC
No, it says Arial in both cases.

What's more, I just discovered, when undoing a change pressing just Ctrl+Z, the ¥ sign does not change back to it former shape, although the number does. When I copypaste a cell with an ugly ¥ sign to an empty cell it pastes in a normal/good ¥ sign.

That tells me (just me) it may have nothing to do with any specific content. It may be that when rendering the pixels on screen initially, it somehow grabs a different character or font for non-ascii characters. Maybe.

On closer inspection, pasting the two different kinds into notepad, I do get differing results. And we know for sure that notepad cannot display multiple fonts in the same file. That tells me it's a different character for some reason:

¥18.200
¥13.000

(I hope these two come through unmodified...)
Comment 13 Martijn 2014-05-05 14:41:06 UTC
So that first one (that appears ugly in LO) looks to be U+FFE5, and the second one (the normal one) is U+A5.
Comment 14 Jacques Guilleron 2014-05-05 17:11:21 UTC
Arial for U+A5
and, since U+FFE5 doesn't exist in Arial
Microsoft YaHei ,probably.

Jacques
Comment 15 Martijn 2014-05-06 07:35:45 UTC
That may very well be the case. But then, why does LO choose a different character in the first place? Isn't that a bug of sorts?
Comment 16 QA Administrators 2015-06-08 14:42:49 UTC Comment hidden (obsolete)
Comment 17 QA Administrators 2016-09-20 10:01:58 UTC Comment hidden (obsolete)
Comment 18 Julien Nabet 2018-11-15 09:08:53 UTC
Eike: since it concerns currency in Calc, thought you might be interested in this one.
Comment 19 QA Administrators 2019-11-16 03:41:19 UTC Comment hidden (obsolete)
Comment 20 himajin100000 2020-01-25 16:59:58 UTC
Related?

https://ask.libreoffice.org/ja/question/183927/
Comment 21 QA Administrators 2022-01-25 03:40:26 UTC
Dear Martijn,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug